Bug 1073378 - Review Request: lohit-odia-fonts - Free truetype font for Odia language
Summary: Review Request: lohit-odia-fonts - Free truetype font for Odia language
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-06 10:27 UTC by Pravin Satpute
Modified: 2014-03-11 04:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-11 04:54:34 UTC
Type: Bug
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Pravin Satpute 2014-03-06 10:27:45 UTC
SPEC file: http://pravins.fedorapeople.org/lohit-odia-fonts.spec
SRPM : http://pravins.fedorapeople.org/lohit-odia-fonts-2.5.5-1.fc19.src.rpm


Additional Information: This package was earlier know as lohit-oriya-fonts, see change proposal for more information https://fedoraproject.org/wiki/Changes/Lohit_Odia_Gurmukhi

Comment 1 Parag AN(पराग) 2014-03-07 04:54:54 UTC
Review:

+ Package built fine in mock rawhide

+ Source verified with upstream as (sha1256sum)
srpm tarball : 251785b618c94dbf2918d3283f350a4d21d93780ab2e2f015be498b6368982c9
upstream tarball : 251785b618c94dbf2918d3283f350a4d21d93780ab2e2f015be498b6368982c9

+ rpmlint on generated rpms gave output
lohit-odia-fonts.noarch: W: spelling-error Summary(en_US) opentype -> open type, open-type, phenotype
lohit-odia-fonts.noarch: W: spelling-error %description -l en_US opentype -> open type, open-type, phenotype
lohit-odia-fonts.src: W: spelling-error Summary(en_US) opentype -> open type, open-type, phenotype
lohit-odia-fonts.src: W: spelling-error %description -l en_US opentype -> open type, open-type, phenotype
2 packages and 0 specfiles checked; 0 errors, 4 warnings.

+ This package provides correct locale (or) for the Odia language
    config(lohit-odia-fonts)
    font(:lang=or)
    font(lohitodia)
    lohit-odia-fonts


+ License is OFL and included in font file as well as separate text file OFL.txt


But this package is missing obsolete/provides to have proper upgrade from lohit-oriya-fonts to lohit-odia-fonts, Add following

Obsoletes: lohit-oriya-fonts < 2.5.4.1-3
Provides: lohit-oriya-fonts = 2.5.5-1

Comment 3 Parag AN(पराग) 2014-03-07 08:51:34 UTC
one last change needed use following in %install
make ttf %{?_smp_mflags}

APPROVED.

Comment 4 Pravin Satpute 2014-03-10 07:41:15 UTC
New Package SCM Request
=======================
Package Name: pkgname
Short Description: summary of package
Owners: foo bar
Branches: f19 f20 el6 epel7
InitialCC: baz

Comment 5 Pravin Satpute 2014-03-10 07:45:59 UTC
New Package SCM Request
=======================
Package Name: lohit-odia-fonts
Short Description: Free truetype font for Odia language
Owners: pravins
Branches: 
InitialCC: i18n-team fonts-sig

Comment 6 Gwyn Ciesla 2014-03-10 12:01:50 UTC
Git done (by process-git-requests).

Comment 7 Pravin Satpute 2014-03-11 04:54:34 UTC
Done build http://koji.fedoraproject.org/koji/buildinfo?buildID=503653

Thanks Parag for detailed review and Jon for GIT process.


Note You need to log in before you can comment on or make changes to this bug.